Bug 858250 - [abrt] Zim-0.56-3.fc17: clipboard.py:143:parsetree_from_selectiondata:AttributeError: 'NoneType' object has no attribute 'decode'
[abrt] Zim-0.56-3.fc17: clipboard.py:143:parsetree_from_selectiondata:Attribu...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:bcd4786880cacdd00c4655a8e40...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 08:39 EDT by Milan Bartos
Modified: 2013-10-07 19:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 22:15:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (487 bytes, text/plain)
2012-09-18 08:39 EDT, Milan Bartos
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1052724 None None None 2012-09-18 21:54:19 EDT

  None (edit)
Description Milan Bartos 2012-09-18 08:39:11 EDT
Version-Release number of selected component:
Zim-0.56-3.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python /usr/bin/zim
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:clipboard.py:143:parsetree_from_selectiondata:AttributeError: 'NoneType' object has no attribute 'decode'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 3235, in do_paste_clipboard
:    self.get_buffer().paste_clipboard(Clipboard, None, self.get_editable())
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 2533, in paste_clipboard
:    parsetree = clipboard.get_parsetree(self.notebook, self.page)
:  File "/usr/lib/python2.7/site-packages/zim/gui/clipboard.py", line 485, in get_parsetree
:    return parsetree_from_selectiondata(selectiondata, notebook, path)
:  File "/usr/lib/python2.7/site-packages/zim/gui/clipboard.py", line 143, in parsetree_from_selectiondata
:    return get_format('plain').Parser().parse(text.decode('utf-8'))
:AttributeError: 'NoneType' object has no attribute 'decode'
:
:Local variables in innermost frame:
:text: None
:selectiondata: <GtkSelectionData at 0x1273900>
:notebook: <Notebook object at 0xf87d20 (zim+notebook+Notebook at 0xf3b040)>
:targetname: 'UTF8_STRING'
:path: <FileStorePage: Zapisky:9 Tue 18.9.2012>
Comment 1 Milan Bartos 2012-09-18 08:39:16 EDT
Created attachment 614001 [details]
File: core_backtrace
Comment 2 Fedora Update System 2013-01-24 08:15:52 EST
Zim-0.59-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/Zim-0.59-1.fc17
Comment 3 Fedora Update System 2013-01-25 16:30:35 EST
Package Zim-0.59-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Zim-0.59-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1478/Zim-0.59-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-02-04 22:15:17 EST
Zim-0.59-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.